I need to upgrade the iOS on my ipad. I'm currently running 4.12. Should I just upgrade to the newest version or does the 1st gen work better on some other version?